#!/bin/sh

set -e
. ./.common.sh

if [ -d $DAHDI ]; then 
	sleep 0;
else
	echo "Please, run ./build.sh before ./install.sh."
        exit
fi

cd $DAHDI/linux
make $MAKEOPS install

cd $BASEDIR
make -C quasar $MAKEOPS $QUASAROPS install

make -C dahdi_tdmox $MAKEOPS $QUASAROPS install

[ `id -u` = 0 ] && /sbin/depmod -a $KVER || \
echo "  WARNING: Depmod failed (not root account, or no write access) !"
