#!/bin/sh

set -e

(
    cd dahdi-2.10.0
    echo "## Patching DAHDI tools and scripts ##"
    bash ./patch.sh "/usr/lib/perl5/vendor_perl/5.8.8/Dahdi"
    echo "## Enabling modules (modifying files at /etc/dahdi/) ##"
    bash ./etc_dahdi.sh
)

echo "## Patching Elastix files ##"
patch -b -p1 -d / < functions.inc.php.patch
patch -b -p1 -d / < hardware_detector.patch

echo "#############  DONE  ####################"
